- Home
- API Enriched
- Observability
- observability
- GET TLS Report Detail.
GET TLS Report Detail.
GET
/api/observability/synthetic_monitor/namespaces/{namespace}/tls-report-detail
const url = 'https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/observability/synthetic_monitor/namespaces/example/tls-report-detail';const options = {method: 'GET', headers: {Authorization: '<Authorization>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/observability/synthetic_monitor/namespaces/example/tls-report-detail \ --header 'Authorization: <Authorization>'Returns the HTML encoding of the generated TLS report.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”namespace
required
string
Namespace Request namespace.
Query Parameters
Section titled “Query Parameters”monitor_name
string
Monitor_name. X-required Monitor name.
Responses
Section titled “Responses”A successful response.
Media typeapplication/json
GetTLSReportDetailResponse
HTML encoding of TLS report.
object
ssl_check_html_report
ssl_check_html_report
HTLM encoding of TLS report.
string
Examplegenerated
{ "ssl_check_html_report": "example"}Returned when operation is not authorized.
Media typeapplication/json
string format: string
Examplegenerated
exampleReturned when there is no permission to access resource.
Media typeapplication/json
string format: string
Examplegenerated
exampleReturned when resource is not found.
Media typeapplication/json
string format: string
Examplegenerated
exampleReturned when operation on resource is conflicting with current value.
Media typeapplication/json
string format: string
Examplegenerated
exampleReturned when operation has been rejected as it is happening too frequently.
Media typeapplication/json
string format: string
Examplegenerated
exampleReturned when server encountered an error in processing API.
Media typeapplication/json
string format: string
Examplegenerated
exampleReturned when service is unavailable temporarily.
Media typeapplication/json
string format: string
Examplegenerated
exampleReturned when server timed out processing request.
Media typeapplication/json
string format: string
Examplegenerated
example